<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('confirm_identities', function (Blueprint $table)
        {
            $table->boolean('provides_docs')->nullable()->change();
            $table->string('primary_doc_type')->nullable()->change();
            $table->string('list1_doc_type')->nullable()->change();
            $table->string('list2_doc_type')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('confirm_identities', function (Blueprint $table) {

        });
    }
};
